Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "animate-image",
    "input": {
      "model": "kling-2-5-turbo-image-to-video",
      "image_url": "https://example.com/my-image.jpg",
      "prompt": "Camera slowly zooming in"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "animate-image",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits14 credits per second
Toolanimate-image

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYesanimate-image
input.modelstringYeskling-2-5-turbo-image-to-video
input.image_urlstringYesURL of the image to animate
input.promptstringNoDescription of the desired motion
input.durationnumberNoDuration in seconds. Options: 5, 10
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "animate-image",
    "input": {
      "model": "kling-2-5-turbo-image-to-video",
      "image_url": "https://example.com/my-image.jpg",
      "prompt": "Camera slowly zooming in"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "animate-image",
  "createdAt": "2024-01-15T10:30:00.000Z"
}